POST /api/saved_objects/_bulk_resolve

Spaces method and path for this operation:

post /s/{space_id}/api/saved_objects/_bulk_resolve

Refer to Spaces for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Retrieve multiple Kibana saved objects by ID, using any legacy URL aliases if they exist.

Under certain circumstances, when Kibana is upgraded, saved object migrations may necessitate regenerating some object IDs to enable new features. When an object's ID is regenerated, a legacy URL alias is created for that object, preserving its old ID. In such a scenario, that object can be retrieved with the bulk resolve API using either its new ID or its old ID.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • id string Required
  • type string Required

Responses

  • 200 application/json

    A bulk resolve response.

  • 400 application/json

    A bad request.

POST /api/saved_objects/_bulk_resolve
curl \
  -X POST "${KIBANA_URL}/api/saved_objects/_bulk_resolve" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"legacy-id"}]'
POST kbn://api/saved_objects/_bulk_resolve
[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"legacy-id"}]
Request example
[
  {
    "id": "example-dashboard-1",
    "type": "dashboard"
  },
  {
    "id": "legacy-id",
    "type": "dashboard"
  }
]
Response examples (200)
{
  "resolved_objects": [
    {
      "outcome": "exactMatch",
      "saved_object": {
        "attributes": {
          "title": "Example dashboard 1"
        },
        "id": "example-dashboard-1",
        "managed": false,
        "namespaces": [
          "default"
        ],
        "references": [],
        "type": "dashboard",
        "updated_at": "2026-04-17T12:00:00.000Z",
        "version": "WzEsMV0="
      }
    },
    {
      "alias_target_id": "example-dashboard-2",
      "outcome": "aliasMatch",
      "saved_object": {
        "attributes": {
          "title": "Example dashboard 2"
        },
        "id": "example-dashboard-2",
        "managed": false,
        "namespaces": [
          "default"
        ],
        "references": [],
        "type": "dashboard",
        "updated_at": "2026-04-17T12:00:00.000Z",
        "version": "WzEsMl0="
      }
    }
  ]
}
Response examples (400)
{
  "error": "Bad Request",
  "message": "Unsupported saved object type(s): unknownType",
  "statusCode": 400
}